<?php

declare(strict_types=1);

namespace App\Framework\EventSourcing\Demo;

final class AggregateState
{
    public bool $isDemo = false;

    public function __construct()
    {
    }

    public function whenDemoAggregateEvent(DemoAggregateEvent $event): void
    {
        $this->isDemo = true;
    }
}
